package com.muni.cv2layouts.activity;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.muni.cv2layouts.R;

public class MainActivity extends AppCompatActivity {

	Button relativeLayoutExample;
	Button linearLayoutExample;
	Button listViewExample;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		relativeLayoutExample = (Button) findViewById(R.id.btn_relative_layout);
		linearLayoutExample = (Button) findViewById(R.id.btn_linear_layout);
		listViewExample = (Button) findViewById(R.id.btn_list_view);

		initOnClickListeners();
	}

	private void initOnClickListeners() {
		relativeLayoutExample.setOnClickListener(new View.OnClickListener() {
			@Override public void onClick(View v) {
				Intent i = new Intent(MainActivity.this, RelativeLayoutActivity.class);
				startActivity(i);
			}
		});

		linearLayoutExample.setOnClickListener(new View.OnClickListener() {
			@Override public void onClick(View v) {
				Intent i = new Intent(MainActivity.this, LinearLayoutActivity.class);
				startActivity(i);
			}
		});

		listViewExample.setOnClickListener(new View.OnClickListener() {
			@Override public void onClick(View v) {
				Intent i = new Intent(MainActivity.this, ListViewActivity.class);
				startActivity(i);
			}
		});
	}
}
