package com.muni.cv2layouts.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.muni.cv2layouts.R;
import com.muni.cv2layouts.model.User;

import java.util.List;

public class UserAdapter extends BaseAdapter{

	private List<User> users;
	private LayoutInflater inflater;
	private Context context;

	public UserAdapter(Context context, List<User> users) {
		this.users = users;
		this.context = context;
		inflater = LayoutInflater.from(context);
	}

	@Override public int getCount() {
		return users.size();
	}

	@Override public User getItem(int position) {
		return users.get(position);
	}

	@Override public long getItemId(int position) {
		return getItem(position).id;
	}

	@Override public View getView(int position, View convertView, ViewGroup parent) {
		if (convertView == null) {
			convertView  = inflater.inflate(R.layout.list_item_user, parent, false);
			convertView.setTag(new ViewHolder(convertView));
		}

		ViewHolder holder = (ViewHolder) convertView.getTag();
		User user = getItem(position);

		holder.name.setText(user.name);
		holder.surname.setText(user.surname);
		holder.age.setText(context.getString(R.string.user_age, user.age));

		return convertView;
	}

	class ViewHolder {
		public TextView name;
		public TextView surname;
		public TextView age;

		private ViewHolder(View view) {
			this.name = (TextView) view.findViewById(R.id.name);
			this.surname = (TextView) view.findViewById(R.id.surname);
			this.age = (TextView) view.findViewById(R.id.age);
		}
	}
}
